#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 jose
version:              0.8.4
visibility:           public
id:                   jose-0.8.4-9T2jzv4PWoPEunuYsMOh54
key:                  jose-0.8.4-9T2jzv4PWoPEunuYsMOh54
license:              Apache-2.0
copyright:            Copyright (C) 2013-2018  Fraser Tweedale
maintainer:           frase@frase.id.au
author:               Fraser Tweedale
homepage:             https://github.com/frasertweedale/hs-jose
synopsis:
    Javascript Object Signing and Encryption and JSON Web Token library

description:

    An implementation of the Javascript Object Signing and Encryption
    (JOSE) and JSON Web Token (JWT; RFC 7519) formats.

    The JSON Web Signature (JWS; RFC 7515) implementation is complete.

    EdDSA signatures (RFC 8037) are supported (Ed25519 only).

    JWK Thumbprint (RFC 7638) is supported (requires /aeson/ >= 0.10).

    JSON Web Encryption (JWE; RFC 7516) is not yet implemented.

    The __ECDSA implementation is vulnerable to timing attacks__ and
    should only be used for verification.

category:             Cryptography
abi:                  fcbd266877e8c2dd94a2abf8f3801226
exposed:              True
exposed-modules:
    Crypto.JOSE Crypto.JOSE.AESKW Crypto.JOSE.Compact Crypto.JOSE.Error
    Crypto.JOSE.Header Crypto.JOSE.JWA.JWE Crypto.JOSE.JWA.JWE.Alg
    Crypto.JOSE.JWA.JWK Crypto.JOSE.JWA.JWS Crypto.JOSE.JWE
    Crypto.JOSE.JWK Crypto.JOSE.JWK.Store Crypto.JOSE.JWS
    Crypto.JOSE.Types Crypto.JWT

hidden-modules:
    Crypto.JOSE.TH Crypto.JOSE.Types.Internal Crypto.JOSE.Types.Orphans

import-dirs:          /usr/lib/ghc-8.10.4/site-local/jose-0.8.4
library-dirs:         /usr/lib/ghc-8.10.4/site-local/jose-0.8.4
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/jose-0.8.4
hs-libraries:         HSjose-0.8.4-9T2jzv4PWoPEunuYsMOh54
depends:
    QuickCheck-2.14.2-JBdTpAobWwg19WOWKtgrIg
    aeson-1.5.6.0-APBE3PUwRlP3dNFj9eIcL4
    attoparsec-0.14.1-C6wGreXaJC9Hw3F0wMqT0I base-4.14.1.0
    base64-bytestring-1.2.0.1-CAhkLoCyIrTKD1yj3isejI
    bytestring-0.10.12.0 concise-0.1.0.1-3toL6k36XsIFr6Xnge8DVK
    containers-0.6.2.1 cryptonite-0.29-cZhf4F0aLI1tXiPEdH3tE
    lens-5.0.1-I0DeVMcpoy91B4Fyt8sQyz
    memory-0.16.0-FcR25XxjAGsCy9iFRDcpya
    monad-time-0.3.1.0-3d4yAlPjz8P33AmXrmtMWL mtl-2.2.2
    network-uri-2.6.4.1-Hi4x2VJ9H28GCQKCdI7ndh
    quickcheck-instances-0.3.25.2-DuxpnE93iwb2y9GAIBL2SU
    safe-0.3.19-AfrHSVViU1189qUhjBUb5b template-haskell-2.16.0.0
    text-1.2.4.1 time-1.9.3
    unordered-containers-0.2.14.0-HPNAhY9eekUIwMlQFAvZlw
    vector-0.12.3.0-FUD0lZOETAI870JKqcsC0A
    x509-1.7.5-7iwnt4JQ4xeF2NDZiJee1q

haddock-interfaces:   /usr/share/doc/haskell-jose/html/jose.haddock
haddock-html:         /usr/share/doc/haskell-jose/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

